﻿Imports Telerik.JustMock
Imports NUnit.Framework
Imports Microsoft.Win32

<TestFixture(), MockClass()>
Public Class RegistryFixture

    <TestFixtureSetUp()>
    Public Sub Initialize()
        Mock.Partial(GetType(Registry)).For(Of String, String, Object)(Function(keyName, valueName, defaultValue) Registry.GetValue(keyName, valueName, defaultValue))

    End Sub

    <Test()>
    Public Sub ShouldAssertRegistryGetValue()

        Mock.Arrange(Function() Registry.GetValue(Arg.AnyString, "SettingValue", Arg.AnyObject)).Returns("Test")

        Dim ret = Registry.GetValue("x", "SettingValue", "nothing")

        Assert.AreEqual("Test", ret)

    End Sub

End Class
